Build a Raspberry Pi Arch Linux Docker Image
06/28/2017 08:18 PM - Daniel Curtis

Status: Closed Start date: 06/28/2017
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Jails / Containers Estimated time: 0.50 hour
Target version: Arch Linux Spent time: 1.00 hour
Description

| tried to pull the armv7/armhf-archlinux docker image, however | received an error stating | had an "invalid tar header". | noticed that
the command used to generate the docker image was for the Freescale Utilite, not the Raspberry Pi. Luckily generating the proper
docker image isn't difficult. This is the process | used to create my Raspberry Pi Arch Linux ARM docker image. This is also helpful if
you want to have aarch64 containers with the Raspberry Pi 3 image.

* Download the latest Arch Linux ARM build for the Raspberry Pi 2:

curl -L http://archlinuxarm.org/os/ArchLinuxARM-rpi-2-latest.tar.gz -o ArchLinuxARM-rpi-2-late
st.tar.gz

e Unzip the tarball, do not untar it:

gunzip ArchLinuxARM-rpi-2-latest.tar.gz

e Import the Arch Linux ARM tarball as the armv7/armhf-archlinux image:

sudo docker import ArchLinuxARM-rpi-2-latest.tar armv7/armhf-archlinux

Resources

https://hub.docker.com/r/armv7/armhf-archlinux/
https://github.com/umiddelb/armhf/wiki/Installing,-running,-using-docker-on-armhf-(ARMv7)-devices
https://archlinuxarm.org/platforms/armv7/freescale/utilite
https://archlinuxarm.org/platforms/armv7/broadcom/raspberry-pi-2
https://archlinuxarm.org/platforms/armv8/broadcom/raspberry-pi-3

History

#1 - 06/28/2017 09:32 PM - Daniel Curtis
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 10/05/2017 07:04 PM - Daniel Curtis

- Status changed from Resolved to Closed
